Skip to main content

LibX Browser Extension: MU Libraries: Troubleshooting

Troubleshooting

LibX - MU Libraries Edition Installation Help

Browser Requirements:

This application works ONLY with Firefox or Google Chrome

Installation:

If Firefox displays a message below the toolbars "To protect your computer, Firefox prevented this site... from installing software on your computer," then press the button labeled "Edit Options..." and click "Allow" and add library.missouri.edu to the list of websites from which extensions may be installed. Then click "OK" and visit the "Install" link again.


If you are having a problem where the installation dialog doesn't come up at all, it's possible that there may be a conflict with one of your other Firefox extensions. Try disabling other extensions until you can install this one. (In the Firefox "Tools" menu, select "Extensions").

______

If Firefox displys the error message "Firefox could not install the file at... because not a vaild install package - 207," or "download error - 228," instead of left-clicking on the download link above, try right-clicking (or control-clicking on a Mac), choose "save link as," and save the file to your desktop. (If you download the file as .zip, you'll need to rename it as an .xpi file.) Drag the downloaded file into the main area of Firefox to install.